3 Probleme/Fehlermeldungen wo ich nicht mehr weiter kommen tu! (glib, xmms, autoconf)

Dieses Thema im Forum "Anwendungen" wurde erstellt von Yoel, 07.02.2006.

  1. Yoel

    Yoel Grünschnabel

    Dabei seit:
    05.02.2006
    Beiträge:
    2
    Zustimmungen:
    0
    hi...

    gleich vorweg, ich gehöre auch zu den newbies, die nix peilen hab mein linux erst seit zwei tagen drauf und deshalb ... SORRY!!!!

    jetzt zum ersten problem / fehlermeldung:

    mein hauptproblem hängt eigentlich mit glib zusammen... ich hab die mandriva 10.1 distri drauf und schaff es einfach nicht glib richtig zu installieren! als erstes hab ich die "glibc-2.3.3-21mdk.i586.rpm" verwendet... da wird aber irgendwie keine glib-2.0.pc datei installiert... jedenfalls kann ich unter locate glib-2.0.pc nix finden... also hab ich mir eine tar.gz geholt glib-2.8.5.tar.gz die hab ich dann extrahiert und per dreisatz installiert... so... jetzt ist die glib-2.0 auch im pkgconfig ordner drin! trotzdem bekomme ich diese fehlermeldung bei installationen die glib-2.0 abhängig sind (z.B. XMMS)

    Code:
    checking for BASE_DEPENDENCIES... Package glib-2.0 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `glib-2.0.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'glib-2.0' found
    configure: error: Package requirements (glib-2.0 >= 2.8.5    atk >= 1.0.1    pango >= 1.9.0    cairo >= 0.9.2) were not met.
    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.
    
    Alternatively you may set the BASE_DEPENDENCIES_CFLAGS and BASE_DEPENDENCIES_LIBS environment variables
    to avoid the need to call pkg-config.  See the pkg-config man page for
    more details.
    
    ich habe dann mit export PKG_CONFIG_PATH=adresse/zur/glib-2.0.pc/ auch den search path mit eingegeben... hat aber auch nix gebracht... kommt genau das gleiche wie oben... er sagt, dass er kein glib-2.0 package gefunden hat... ?(

    da man glib aber ja bei vielen vielen programmen benötigt, wär ich um schnelle hilfe sehr dankbar... kann nix installieren auf meinem system!!! :(

    das zweite problem

    wenn ich glib-1.0 per glib-1.2.9.tar.gz installieren will bringt er auch eine fehler meldung beim kompilieren... zuerst läuft alles gut und irgendwann dann das hier:

    Code:
    gstrfuncs.c: In function `g_printf_string_upper_bound':
    gstrfuncs.c:870: error: syntax error before string constant
    gstrfuncs.c:1037: error: syntax error before string constant
    gstrfuncs.c:1080: error: syntax error before string constant
    gstrfuncs.c:1111: error: syntax error before string constant
    make[2]: *** [gstrfuncs.lo] Fehler 1
    make[2]: Leaving directory `/home/yoel/Desktop/Linux/Library/Glib/1.2.9/glib-1.2.9'
    make[1]: *** [all-recursive] Fehler 1
    make[1]: Leaving directory `/home/yoel/Desktop/Linux/Library/Glib/1.2.9/glib-1.2.9'
    make: *** [all-recursive-am] Fehler 2
    
    kann ich auch leider gar nix mit anfangen!

    das dritte problem:

    ich möchte Autoconf 2.5-2.59 per rpm installieren... dann kommt aber diese fehlermeldung mit der ich allerdings gar nichts anfangen kann:

    Code:
    Einige der gewünschten Pakete können nicht installiert werden:
    autoconf2.5-2.59-6mdk.noarch (wegen unbefriedigter autoconf2.1 )
    Sind Sie einverstanden? 
    hmmm... sehr strange... ich habe diese fehlermeldung hier im forum schonmal gesehen aber da habe ich nicht verstanden, wie ich das problem anpacken kann...

    ich hoffe (ich weiß ihr könnt :D ) ihr könnt mir helfen!!!!

    vielen dank :))
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
Thema:

3 Probleme/Fehlermeldungen wo ich nicht mehr weiter kommen tu! (glib, xmms, autoconf)

Die Seite wird geladen...

3 Probleme/Fehlermeldungen wo ich nicht mehr weiter kommen tu! (glib, xmms, autoconf) - Ähnliche Themen

  1. PATH wird nicht richtig durchsucht

    PATH wird nicht richtig durchsucht: Hi zusammen, ich nutze das Forum schon seit längerem , allerdings hat mir bis jetzt immer die Suchfunktion weitergeholfen. Bei meinem aktuellen...
  2. SRV Records nicht erstellt nach dcpromo

    SRV Records nicht erstellt nach dcpromo: Hallo zusammen, leider sind beim Join meines 2. DC in eine Samba 4 Domäne die SRV-DNS Records nicht erstellt worden... Hatte jemand schonmal das...
  3. Port generieren, wenn nicht dann

    Port generieren, wenn nicht dann: Hey Leute, ich hänge ein wenig an einem Problem. Der User kann einen port frei wählen. Also SSH_USERPORT="" Nun habe ich aber eine.hand voll...
  4. Kabel I-net geht auf Arbeit aber nicht Zuhause

    Kabel I-net geht auf Arbeit aber nicht Zuhause: Hallo liebe Liebenden & Haters dieser Welt, ich komme bei mir zuhause nicht ins Internet via Ethernet-Kabel. Es handelt sich um einen Laptop, der...
  5. [Erledigt] Shell-Skript lässt sich nicht mit Cron ausführen

    [Erledigt] Shell-Skript lässt sich nicht mit Cron ausführen: Hallo, ich hoffe ihr könnt mir helfen. Ich entwerfe im Moment ein Skript, welches den Callmonitor (Telnet) auf meiner FritzBox abfragt und wenn...